def canvas(*args, **kwargs):
        """
            Returns the canvas (or viewport) that is currently active.
        
        This is the same as calling:
        C{mari.canvases.current()}
        
        @return: The currently-active canvas
        @rtype: L{mari.Canvas}
        @except RuntimeError: Raised if there is no project open.
        
        """
        pass

def channel(*args, **kwargs):
        """
            Returns the currently-selected channel.
        
        This is the current channel on the current geo entity, and is the same as calling:
        C{mari.geo.current().currentChannel()}
        
        @return: The currently-selected channel
        @rtype: L{mari.Channel}
        @except RuntimeError: Raised if there is no project open.
        
        """
        pass

def geoVersion(*args, **kwargs):
        """
            Returns the currently-selected geometry version.
        
        This is the current version on the current geo entity, and is the same as calling:
        C{mari.geo.current().currentVersion()}
        
        @return: The currently-selected geometry version
        @rtype: L{mari.GeoEntityVersion}
        @except RuntimeError: Raised if there is no project open.
        
        """
        pass

def layer(*args, **kwargs):
        """
            Returns the currently-active layer.
        
        This is the current layer in the current channel on the current geo entity,
        and is the same as calling:
        C{mari.geo.current().currentChannel().currentLayer()}
        
        @return: The current layer, as whichever subtype of mari.Layer is appropriate
        @rtype: L{mari.Layer}
        @except RuntimeError: Raised if there is no project open.
        
        """
        pass

def light(*args, **kwargs):
        """
            Returns the currently-selected light.
        
        This is the same as calling:
        C{mari.lights.current()}
        
        @return: The currently-selected light
        @rtype: L{mari.Light}
        @except RuntimeError: Raised if there is no project open.
        
        """
        pass

def project(*args, **kwargs):
        """
            Returns the project that is currently open, if any.
        
        This is the same as calling:
        C{mari.projects.current()}
        
        @return: The project that is currently open, or None
        @rtype: L{mari.Project}
        
        """
        pass

def projector(*args, **kwargs):
        """
            Returns the projector that is currently selected in the GUI.
        
        This is the same as calling:
        C{mari.projectors.current()}
        
        @return: The projector that is currently selected in the GUI
        @rtype: L{mari.Projector}
        @except RuntimeError: Raised if there is no project open.
        
        """
        pass

def shader(*args, **kwargs):
        """
            Returns the currently-selected shader.
        
        This is the current shader on the current geo entity, and is the same as calling:
        C{mari.geo.current().currentShader()}
        
        @return: The currently-selected shader
        @rtype: L{mari.Shader}
        @except RuntimeError: Raised if there is no project open.
        
        """
        pass

def tool(*args, **kwargs):
        """
            Returns the currently-selected tool.
        
        This is the same as calling:
        C{mari.tools.current()}
        
        @return: The name of the currently-selected tool
        @rtype: str
        
        """
        pass

