
class API(QObject):
    """
    None
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Action(API):
    """
    An action that can be assigned to a menu and/or shortcut.

    

    Built-in actions will generally be of this type when retrieved from the L{ActionManager}. Custom user actions, which run Python scripts, will be L{ScriptAction} objects.

    

    B{Example Code}

    

    >>> # This example creates an action to print Hello World to the log and executes the action

    >>> import mari

    >>> action = mari.actions.create(MyCustomActions/Print Hello,mari.app.log(\Hello World\))

    >>> action.trigger()

    

    >>> import mari

    >>> # This example finds the action and executes it

    >>> action = mari.actions.find(Mari/Scripts/MyCustomActions/Print Hello)

    >>> action.trigger()
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def triggered(*args, **kwargs):
        """
            Signal
        """
        pass


    pass

class AdjustableLayer(Layer):
    """
    Adjustable layers can be set to apply an adjustment stack to their image data.

    

    Adjustment stacks can be used to apply a set of adjustment operations to only the image data in the individual layer, without affecting those below it.

    

    This is an abstract class; every layer that is an L{AdjustableLayer} will also be of a further-derived type, such as L{PaintableLayer}.

    

    B{Example Code}

    

    >>> #This example finds adjustmentable layers in the current channel.

    >>> import mari

    >>> adjustable_layers = []

    >>> channel = mari.geo.current().currentChannel()

    >>> for layer in channel.layerList():

    ...     if layer.isAdjustableLayer():

    ...         adjustable_layers.append(layer)
    """
    def ADD(*args, **kwargs):
        """
            None
        """
        pass

    def ADD_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def ADVANCED_BLEND(*args, **kwargs):
        """
            None
        """
        pass


class AdvancedBlendComponent(object):
    """
    None
    """

    pass
    def BASIC_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BLUE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass


class BlendMode(object):
    """
    None
    """

    pass

class BlendType(object):
    """
    None
    """

    pass
    def CLEAR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_BURN(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_DODGE(*args, **kwargs):
        """
            None
        """
        pass

    def COPY(*args, **kwargs):
        """
            None
        """
        pass

    def COPY_RGB(*args, **kwargs):
        """
            None
        """
        pass

    def CUSTOM(*args, **kwargs):
        """
            None
        """
        pass

    def DARKEN(*args, **kwargs):
        """
            None
        """
        pass

    def DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass

    def EXCLUSION(*args, **kwargs):
        """
            None
        """
        pass

    def FROM_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def GREEN_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def GREYSCALE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_MIX(*args, **kwargs):
        """
            None
        """
        pass

    def HIDE_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def HUE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERSE_DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERT(*args, **kwargs):
        """
            None
        """
        pass

    def LIGHTEN(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass

    def MIX(*args, **kwargs):
        """
            None
        """
        pass

    def MIX_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def MULTIPLY(*args, **kwargs):
        """
            None
        """
        pass


class MaskType(object):
    """
    None
    """

    pass

class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def OVERLAY(*args, **kwargs):
        """
            None
        """
        pass

    def PIN_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def RED_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def REORIENTED_NORMAL_MAPPING(*args, **kwargs):
        """
            None
        """
        pass

    def REVEAL_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def SATURATION(*args, **kwargs):
        """
            None
        """
        pass

    def SCREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SOFT_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def SPONGE_DESATURATE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ONE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ZERO(*args, **kwargs):
        """
            None
        """
        pass


class SwizzleDestination(object):
    """
    None
    """

    pass

class SwizzleSource(object):
    """
    None
    """

    pass
    def VIVID_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def blendAmountChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendComponentChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendModeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendTypeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def cacheStateChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def colorTagChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def convertedToPaint(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskStackCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def selectedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class AdjustmentLayer(Layer):
    """
    Adjustment layers modify the data from the layers below them in the layer stack.

    

    You can access all types of layers from their containing L{Channel} objects - for example: C{channel.layerList()}

    

    You can check for L{AdjustmentLayer} objects by calling L{Layer.isAdjustmentLayer()}:

    

    B{Example Code}

    

    >>> #This example finds adjustment layers in the current channel

    >>> import mari

    >>> adjustment_layers = []

    >>> channel = mari.geo.current().currentChannel()

    >>> for layer in channel.layerList():

    ...     if layer.isAdjustmentLayer():

    ...         adjustment_layers.append(layer)

    

    >>> #This example creates an Brightness adjustment layers in the current channel

    >>> import mari

    >>> channel = mari.geo.current().currentChannel()

    >>> layer = channel.createAdjustmentLayer(Brightness,Filter/Brightness)

    >>> layer.isAdjustmentLayer()

    True
    """
    def ADD(*args, **kwargs):
        """
            None
        """
        pass

    def ADD_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def ADVANCED_BLEND(*args, **kwargs):
        """
            None
        """
        pass


class AdvancedBlendComponent(object):
    """
    None
    """

    pass
    def BASIC_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BLUE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass


class BlendMode(object):
    """
    None
    """

    pass

class BlendType(object):
    """
    None
    """

    pass
    def CLEAR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_BURN(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_DODGE(*args, **kwargs):
        """
            None
        """
        pass

    def COPY(*args, **kwargs):
        """
            None
        """
        pass

    def COPY_RGB(*args, **kwargs):
        """
            None
        """
        pass

    def CUSTOM(*args, **kwargs):
        """
            None
        """
        pass

    def DARKEN(*args, **kwargs):
        """
            None
        """
        pass

    def DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass

    def EXCLUSION(*args, **kwargs):
        """
            None
        """
        pass

    def FROM_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def GREEN_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def GREYSCALE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_MIX(*args, **kwargs):
        """
            None
        """
        pass

    def HIDE_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def HUE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERSE_DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERT(*args, **kwargs):
        """
            None
        """
        pass

    def LIGHTEN(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass

    def MIX(*args, **kwargs):
        """
            None
        """
        pass

    def MIX_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def MULTIPLY(*args, **kwargs):
        """
            None
        """
        pass


class MaskType(object):
    """
    None
    """

    pass

class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def OVERLAY(*args, **kwargs):
        """
            None
        """
        pass

    def PIN_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def RED_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def REORIENTED_NORMAL_MAPPING(*args, **kwargs):
        """
            None
        """
        pass

    def REVEAL_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def SATURATION(*args, **kwargs):
        """
            None
        """
        pass

    def SCREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SOFT_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def SPONGE_DESATURATE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ONE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ZERO(*args, **kwargs):
        """
            None
        """
        pass


class SwizzleDestination(object):
    """
    None
    """

    pass

class SwizzleSource(object):
    """
    None
    """

    pass
    def VIVID_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def blendAmountChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendComponentChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendModeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendTypeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def cacheStateChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def colorTagChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def convertedToPaint(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskStackCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def selectedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class AppVersion(API):
    """
    This class contains detailed version information for Mari.

    

    B{Example Code}

    

    >>> # This example stores mari information in a string and prints it out to the application log

    >>> import mari

    >>> version = mari.app.version()

    >>> mari_info_dict = {}

    >>> mari_info_dict[major]    = version.major()

    >>> mari_info_dict[minor]    = version.minor()

    >>> mari_info_dict[revision] = version.revision()

    >>> mari_info_dict[stage]    = version.stage()

    >>> mari_info_string = Mari {major}.{minor}.{revision}{stage}.format(**mari_info_dict)

    >>> mari.app.log(mari_info_string)
    """
    def ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def BETA(*args, **kwargs):
        """
            None
        """
        pass

    def DEV(*args, **kwargs):
        """
            None
        """
        pass

    def RELEASE(*args, **kwargs):
        """
            None
        """
        pass


class Stage(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Camera(Metadata):
    """
    Provides 3D camera settings.

    

    B{Example Code}

    

    >>> # This example obtains the camera of the current canvas view

    >>> import mari

    >>> camera = mari.canvases.current().camera()

    >>> mari.app.log(Position = +str(camera.translation().asTuple()))
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def ORTHOGRAPHIC(*args, **kwargs):
        """
            None
        """
        pass

    def PERSPECTIVE(*args, **kwargs):
        """
            None
        """
        pass


class Type(object):
    """
    None
    """

    pass
    def UV(*args, **kwargs):
        """
            None
        """
        pass

    def attributeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def moved(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Canvas(API):
    """
    A canvas is a Mari viewport.

    

    Canvases are the geometry viewport containers in the Mari window.

    

    You can access canvas objects through the L{CanvasManager} - for example: C{mari.canvases.current()}

    

    B{Example Code:}

    

    >>> # This example shows how to access the current canvas object and to print canvas size to the application log

    >>> import mari

    >>> canvas = mari.canvases.current()

    >>> mari.app.log(str(canvas.size()))
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Channel(LayerStack):
    """
    Channels are collections of layers that combine sets of image data to display using L{Shader} objects.

    

    You can access channels through their parent L{GeoEntity} objects - for example: C{mari.geo.current().currentChannel()}

    

    B{Example Code}

    

    >>> # This example shows how to obtain the current channel of the current GeoEntity object

    >>> import mari

    >>> channel = mari.geo.current().currentChannel()
    """
    def CLEAR_ADJUSTMENT_STACKS(*args, **kwargs):
        """
            None
        """
        pass

    def CLEAR_CURRENT_LAYER_SELECTION(*args, **kwargs):
        """
            None
        """
        pass

    def CLEAR_GROUPS(*args, **kwargs):
        """
            None
        """
        pass

    def CLEAR_MASK_STACKS(*args, **kwargs):
        """
            None
        """
        pass

    def CONVERT_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def CONVERT_CHANNEL_ONLY(*args, **kwargs):
        """
            None
        """
        pass

    def CREATE_NEW_LAYERS(*args, **kwargs):
        """
            None
        """
        pass


class ClearSelectionFlag(object):
    """
    None
    """

    pass

class ConvertOption(object):
    """
    None
    """

    pass
    def DEFAULT_CLEAR_SELECTION_FLAGS(*args, **kwargs):
        """
            None
        """
        pass

    def DEFAULT_LAYER_CREATE_FLAGS(*args, **kwargs):
        """
            None
        """
        pass

    def INSERT_NEW_LAYER_ABOVE_SELECTION(*args, **kwargs):
        """
            None
        """
        pass

    def INSERT_NEW_LAYER_BELOW_REF_LAYER(*args, **kwargs):
        """
            None
        """
        pass


class LayerCreateFlag(object):
    """
    None
    """

    pass

class LayerImportOption(object):
    """
    None
    """

    pass
    def MAKE_NEW_LAYER_CURRENT(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def OPTION_NOT_SPECIFIED(*args, **kwargs):
        """
            None
        """
        pass

    def SELECT_NEW_LAYERS(*args, **kwargs):
        """
            None
        """
        pass

    def SKIP_LAYERS(*args, **kwargs):
        """
            None
        """
        pass

    def UPDATE_LAYERS(*args, **kwargs):
        """
            None
        """
        pass

    def colorspaceConfigChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def layerMadeCurrent(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def scalarColorspaceConfigChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def snapshotAdded(*args, **kwargs):
        """
            Signal
        """
        pass

    def snapshotRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ChannelInfo(API):
    """
    Provides information about a channel to create or import.
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ChannelLayer(AdjustableLayer):
    """
    L{Channel} layers add the image output of a L{Channel} into another stack as a layer.

    

    You can access all types of layers from their containing L{Channel} objects - for example: C{channel.layerList()}

    

    You can check for L{ChannelLayer} objects by calling L{Layer.isChannelLayer()}:

    

    B{Example Code}

    

    >>> #This example finds channel layers in the current channel

    >>> import mari

    >>> channel_layers = []

    >>> channel = mari.geo.current().currentChannel()

    >>> for layer in channel.layerList():

    ...     if layer.isChannelLayer():

    ...         channel_layers.append(layer)
    """
    def ADD(*args, **kwargs):
        """
            None
        """
        pass

    def ADD_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def ADVANCED_BLEND(*args, **kwargs):
        """
            None
        """
        pass


class AdvancedBlendComponent(object):
    """
    None
    """

    pass
    def BASIC_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BLUE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass


class BlendMode(object):
    """
    None
    """

    pass

class BlendType(object):
    """
    None
    """

    pass
    def CLEAR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_BURN(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_DODGE(*args, **kwargs):
        """
            None
        """
        pass

    def COPY(*args, **kwargs):
        """
            None
        """
        pass

    def COPY_RGB(*args, **kwargs):
        """
            None
        """
        pass

    def CUSTOM(*args, **kwargs):
        """
            None
        """
        pass

    def DARKEN(*args, **kwargs):
        """
            None
        """
        pass

    def DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass

    def EXCLUSION(*args, **kwargs):
        """
            None
        """
        pass

    def FROM_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def GREEN_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def GREYSCALE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_MIX(*args, **kwargs):
        """
            None
        """
        pass

    def HIDE_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def HUE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERSE_DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERT(*args, **kwargs):
        """
            None
        """
        pass

    def LIGHTEN(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass

    def MIX(*args, **kwargs):
        """
            None
        """
        pass

    def MIX_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def MULTIPLY(*args, **kwargs):
        """
            None
        """
        pass


class MaskType(object):
    """
    None
    """

    pass

class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def OVERLAY(*args, **kwargs):
        """
            None
        """
        pass

    def PIN_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def RED_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def REORIENTED_NORMAL_MAPPING(*args, **kwargs):
        """
            None
        """
        pass

    def REVEAL_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def SATURATION(*args, **kwargs):
        """
            None
        """
        pass

    def SCREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SOFT_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def SPONGE_DESATURATE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ONE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ZERO(*args, **kwargs):
        """
            None
        """
        pass


class SwizzleDestination(object):
    """
    None
    """

    pass

class SwizzleSource(object):
    """
    None
    """

    pass
    def VIVID_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def blendAmountChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendComponentChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendModeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendTypeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def cacheStateChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def colorTagChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def convertedToPaint(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskStackCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def selectedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ChannelSnapshot(Snapshot):
    """
    A copy of the state of a channel at a particular time.

    

    By creating snapshots, users can easily preserve the state of an object and return to that state at some later time.

    

    For example, this could be used to preserve the history of a design, or to try new ideas without risking the current textures. The user could snapshot the current state, paint some modifications, ask for approval, and if the changes are not accepted, quickly and easily revert to the previous state.

    

    B{Example Code}

    

    >>> # This example shows how to obtain the current channel of the current GeoEntity object

    >>> import mari

    >>> channel = mari.geo.current().currentChannel()

    >>> channel_snapshot = channel.createSnapshot(Test Snapshot)
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def creationDateChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def creatorChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def idChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def previewChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ClassInfo(object):
    """
    None
    """

    pass
def ClearHistoryMenuItem(*args, **kwargs):
        """
            
        This class adds a Clear History action.
        
        """
        pass


class Color(API):
    """
    Objects of this class hold information about an individual color value.

    

    All channels are specified in the range [0, 1] - so passing in a value of 1 will set the channel to 100% intensity.

    

    RGB and HSV/L values are updated automatically. For example, if you set the color from RGB values, you can immediately retrieve the HSV equivalents of those if desired.

    

    B{Example Code}

    

    >>> # This example constructs a Color object and sets the foreground color with it

    >>> import mari

    >>> foreground_color = mari.Color(1,1,0,1)

    >>> mari.colors.setForeground(foreground_color)

    

    >>> # This example obtains the current foreground color

    >>> import mari

    >>> foreground_color = mari.colors.foreground()

    >>> print foreground_color.toString()

    (1,1,0,1)
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ColorspaceConfig(API):
    """
    None
    """
    def COLORSPACE_STAGE_COUNT(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_STAGE_NATIVE(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_STAGE_OUTPUT(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_STAGE_WORKING(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_TYPE_COUNT(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_TYPE_FLOAT(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_TYPE_INT16(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_TYPE_INT8(*args, **kwargs):
        """
            None
        """
        pass


class ColorspaceStage(object):
    """
    None
    """

    pass

class ColorspaceType(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ColorspaceDefaults(API):
    """
    None
    """
    def COLORSPACE_TARGET_COLOR_PICKER(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_TARGET_COUNT(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_TARGET_FLOAT(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_TARGET_INT16(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_TARGET_INT8(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_TARGET_MONITOR(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_TARGET_SCALAR8(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_TARGET_WORKING(*args, **kwargs):
        """
            None
        """
        pass


class ColorspaceTarget(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class CustomLUTFilter(PostFilter):
    """
    A post processing filter that applies a LUT from custom provided color values.

    

    L{CustomLUTFilter} objects can be created by calling L{PostFilterCollection.createCustomLUT()}.

    

    B{Example Code}

    

    >>> # This examples creates a new CustomLUTFilter object through GLRender and PostFilterCollection

    >>> import mari

    >>> filter_collection = mari.gl_render.createPostFilterCollection(New Filter Collection)

    >>> file_lut = filter_collection.createCustomLUT(New Custom LUT)

    >>> mari.gl_render.deletePostFilterCollection(filter_collection)
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def POSTFILTER_ENABLED(*args, **kwargs):
        """
            None
        """
        pass

    def POSTFILTER_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass


class PostFilterFlags(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class EnvironmentLight(Light):
    """
    An object for creating lighting effects on a 3D mesh.

    

    You can access lights through the L{LightManager} - for example: C{mari.lights.list()}
    """
    def AXIS_UP_X(*args, **kwargs):
        """
            None
        """
        pass

    def AXIS_UP_Y(*args, **kwargs):
        """
            None
        """
        pass

    def AXIS_UP_Z(*args, **kwargs):
        """
            None
        """
        pass

    def CAMERA(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_SPACE_GAMMA22(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_SPACE_LINEAR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_SPACE_SRGB(*args, **kwargs):
        """
            None
        """
        pass


class CubeImageType(object):
    """
    None
    """

    pass

class FixedTo(object):
    """
    None
    """

    pass

class ImageColorSpace(object):
    """
    None
    """

    pass

class ImageUpAxis(object):
    """
    None
    """

    pass
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass

    def MODE_ROTATE(*args, **kwargs):
        """
            None
        """
        pass

    def MODE_STATIC(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass

class RotationMode(object):
    """
    None
    """

    pass
    def SCENE(*args, **kwargs):
        """
            None
        """
        pass

    def TYPE_2D_CROSS(*args, **kwargs):
        """
            None
        """
        pass

    def TYPE_2D_LATLONG(*args, **kwargs):
        """
            None
        """
        pass

    def TYPE_3D_CUBEMAP(*args, **kwargs):
        """
            None
        """
        pass

    def TYPE_GUESS(*args, **kwargs):
        """
            None
        """
        pass

    def TYPE_NONE(*args, **kwargs):
        """
            None
        """
        pass

    def canvasBlurChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def canvasDisplayChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def cubeImageFilenameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def cubeImageResolutionChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def cubeImageTypeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def cubeImageUpAxisChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def fixedToChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def intensityChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def onChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def rotationUpChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def rotationUpModeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def rotationUpSpeedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass
def ExampleMenuItem(*args, **kwargs):
        """
            
        This class adds the action.
        
        """
        pass

def ExamplePaletteItem(*args, **kwargs):
        """
            
        This class adds the action.
        
        """
        pass


class FaceSelectionGroup(SelectionGroup):
    """
    A specialised selection group that consists of faces.
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def visibilityChanged(*args, **kwargs):
        """
            Signal
        """
        pass


    pass

class FileLUTFilter(PostFilter):
    """
    A post processing filter that reads a 1D LUT from a file.

    

    L{FileLUTFilter} objects can be created by calling L{PostFilterCollection.createFileLUT()}.

    

    B{Example Code}

    

    >>> # This examples creates a new FileLUTFilter object through GLRender and PostFilterCollection

    >>> import mari

    >>> filter_collection = mari.gl_render.createPostFilterCollection(New Filter Collection)

    >>> file_lut = filter_collection.createFileLUT(New File LUT)

    >>> mari.gl_render.deletePostFilterCollection(filter_collection)
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def POSTFILTER_ENABLED(*args, **kwargs):
        """
            None
        """
        pass

    def POSTFILTER_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass


class PostFilterFlags(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class FileList(API):
    """
    Stores a list of files and directories that can be used for custom attributes.

    

    B{Example Code}

    

    >>> # This example creates a FileList object with a sample file path

    >>> import mari

    >>> file_list = mari.FileList(mari.FileList.TYPE_SINGLE_FILE)

    >>> file_list.append(/tmp/Hello.txt)
    """
    def TYPE_CHOOSE_FILE(*args, **kwargs):
        """
            None
        """
        pass

    def TYPE_DIRECTORY(*args, **kwargs):
        """
            None
        """
        pass

    def TYPE_FILE(*args, **kwargs):
        """
            None
        """
        pass

    def TYPE_FILE_AND_DIRECTORY(*args, **kwargs):
        """
            None
        """
        pass

    def TYPE_SAVE_FILE(*args, **kwargs):
        """
            None
        """
        pass

    def TYPE_SINGLE_FILE(*args, **kwargs):
        """
            None
        """
        pass


class Type(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class FloatSlider(SliderBase):
    """
    A floating-point slider widget.

    

    Provides a custom single-precision floating-point slider widget.

    

    B{Example Code}

    

    >>> # This example creates a new FloatSlider object, add it to a QWidget and show it

    >>> import mari

    >>> import PySide

    >>> float_slider = mari.FloatSlider()

    >>> container = PySide.QtGui.QWidget()

    >>> container.setLayout(PySide.QtGui.QHBoxLayout())

    >>> float_slider.addToLayout(container.layout())

    >>> container.show()
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def valueChanged(*args, **kwargs):
        """
            Signal
        """
        pass


    pass

class GLSLFilter(PostFilter):
    """
    A post processing filter that runs custom GLSL code.

    

    L{GLSLFilter} objects can be created by calling L{PostFilterCollection.createGLSL()}.

    

    B{Example Code}

    

    >>> # This examples creates a new GLSLFilter object through GLRender and PostFilterCollection

    >>> import mari

    >>> filter_collection = mari.gl_render.createPostFilterCollection(New Filter Collection)

    >>> glsl_filter = filter_collection.createGLSL(New GLSL Filter)

    >>> mari.gl_render.deletePostFilterCollection(filter_collection)
    """
    def CLAMP_REPEAT(*args, **kwargs):
        """
            None
        """
        pass

    def CLAMP_TO_EDGE(*args, **kwargs):
        """
            None
        """
        pass


class Clamp(object):
    """
    None
    """

    pass
    def FILTER_LINEAR(*args, **kwargs):
        """
            None
        """
        pass

    def FILTER_MIPMAP_LINEAR(*args, **kwargs):
        """
            None
        """
        pass

    def FILTER_NEAREST(*args, **kwargs):
        """
            None
        """
        pass

    def FORMAT_L(*args, **kwargs):
        """
            None
        """
        pass

    def FORMAT_R(*args, **kwargs):
        """
            None
        """
        pass

    def FORMAT_RGB(*args, **kwargs):
        """
            None
        """
        pass

    def FORMAT_RGBA(*args, **kwargs):
        """
            None
        """
        pass


class Filter(object):
    """
    None
    """

    pass

class Format(object):
    """
    None
    """

    pass
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def POSTFILTER_ENABLED(*args, **kwargs):
        """
            None
        """
        pass

    def POSTFILTER_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass


class PostFilterFlags(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def enabledChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass
def GeneratePythonAPICompletionsMenuItem(*args, **kwargs):
        """
            
        This class adds a **Generate Python API Completions** action.
        
        """
        pass


class GeoEntity(Lockable):
    """
    These are the geometric meshes referred to as Objects in the GUI.

    

    B{Example Code}

    

    C{# This examples obtains the current geometry object}

    

    C{import mari}

    

    C{current_object = mari.geo.current()}
    """

class ChannelDestroyStrategy(object):
    """
    None
    """

    pass
    def DESTROY_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def DESTROY_NONE(*args, **kwargs):
        """
            None
        """
        pass

    def DESTROY_UNSHARED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def SYSTEM_SHADER_CURRENT_CHANNEL(*args, **kwargs):
        """
            None
        """
        pass

    def SYSTEM_SHADER_CURRENT_LAYER(*args, **kwargs):
        """
            None
        """
        pass

    def SYSTEM_SHADER_CURRENT_LAYER_AND_BELOW(*args, **kwargs):
        """
            None
        """
        pass

    def SYSTEM_SHADER_CURRENT_PAINT_TARGET(*args, **kwargs):
        """
            None
        """
        pass


class SystemShaderType(object):
    """
    None
    """

    pass
    def channelAdded(*args, **kwargs):
        """
            Signal
        """
        pass

    def channelCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def channelMadeCurrent(*args, **kwargs):
        """
            Signal
        """
        pass

    def channelRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def geometryVersionAdded(*args, **kwargs):
        """
            Signal
        """
        pass

    def geometryVersionMadeCurrent(*args, **kwargs):
        """
            Signal
        """
        pass

    def geometryVersionRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def imageSetAdded(*args, **kwargs):
        """
            Signal
        """
        pass

    def imageSetMadeCurrent(*args, **kwargs):
        """
            Signal
        """
        pass

    def imageSetRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def shaderAdded(*args, **kwargs):
        """
            Signal
        """
        pass

    def shaderMadeCurrent(*args, **kwargs):
        """
            Signal
        """
        pass

    def shaderRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def visibilityChanged(*args, **kwargs):
        """
            Signal
        """
        pass


    pass

class GeoEntityVersion(Metadata):
    """
    Provides access to an individual version of a geometry entity.

    

    Mari allows objects to have multiple versions. These versions should be uniquely named.

    

    You can access a geometry entity version through a L{GeoEntity} - for example: C{mari.geo.current().versionList()}

    

    B{Example Code}

    

    C{# This examples obtains the current version of current geometry object}

    

    C{import mari}

    

    C{currentObjectVersion = mari.geo.current().currentVersion()}
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def aboutToLoad(*args, **kwargs):
        """
            Signal
        """
        pass

    def createdChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def creatorChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def loaded(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def modifiedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def pathChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class GeoPatch(Lockable):
    """
    A geometry patch is section of a L{GeoEntity} that occupies a single UV square.

    

    Geometry can be broken into multiple patches. Each patch may have multiple textures associated with it.

    

    An L{ImageSet} contains one texture for each L{GeoPatch} in a L{GeoEntity}.

    

    Patches may be named, and can have associated metadata. They may also be locked or hidden.

    

    You can access geometry patches through a L{GeoEntity} - for example: C{mari.geo.current().patchList()} B{Example Code}

    

    >>> # This examples obtains the patch with UDIM 1001 of current geometry object

    >>> import mari

    >>> patch_1001 = mari.geo.current().patch(0)
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def visibilityChanged(*args, **kwargs):
        """
            Signal
        """
        pass


    pass

class GeometryOperation(Metadata):
    """
    This encapsulates a geometry operation that can be performed on a Geo Entity.

    

    You can access the registered geometry operations through the EntityManager - for example:

    

    C{mari.geo.geometryOperationList()}
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class GraphLayer(AdjustableLayer):
    """
    Graph layers contain an image for each patch that can be painted directly.

    

    You can access all types of layers from their containing L{Channel} objects - for example: C{channel.layerList()}

    

    You can check for L{GraphLayer} objects by calling L{Layer.isGraphLayer()}:

    

    >>> # This examples creates a paintable layer and checks if it\s a paintable layer

    >>> import mari

    >>> channel = mari.geo.current().currentChannel()

    >>> layer = channel.createGraphLayer(Test)

    >>> layer.isGraphLayer()

    True
    """
    def ADD(*args, **kwargs):
        """
            None
        """
        pass

    def ADD_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def ADVANCED_BLEND(*args, **kwargs):
        """
            None
        """
        pass


class AdvancedBlendComponent(object):
    """
    None
    """

    pass
    def BASIC_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BLUE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass


class BlendMode(object):
    """
    None
    """

    pass

class BlendType(object):
    """
    None
    """

    pass
    def CLEAR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_BURN(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_DODGE(*args, **kwargs):
        """
            None
        """
        pass

    def COPY(*args, **kwargs):
        """
            None
        """
        pass

    def COPY_RGB(*args, **kwargs):
        """
            None
        """
        pass

    def CUSTOM(*args, **kwargs):
        """
            None
        """
        pass

    def DARKEN(*args, **kwargs):
        """
            None
        """
        pass

    def DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass

    def EXCLUSION(*args, **kwargs):
        """
            None
        """
        pass

    def FROM_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def GREEN_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def GREYSCALE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_MIX(*args, **kwargs):
        """
            None
        """
        pass

    def HIDE_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def HUE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERSE_DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERT(*args, **kwargs):
        """
            None
        """
        pass

    def LIGHTEN(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass

    def MIX(*args, **kwargs):
        """
            None
        """
        pass

    def MIX_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def MULTIPLY(*args, **kwargs):
        """
            None
        """
        pass


class MaskType(object):
    """
    None
    """

    pass

class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def OVERLAY(*args, **kwargs):
        """
            None
        """
        pass

    def PIN_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def RED_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def REORIENTED_NORMAL_MAPPING(*args, **kwargs):
        """
            None
        """
        pass

    def REVEAL_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def SATURATION(*args, **kwargs):
        """
            None
        """
        pass

    def SCREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SOFT_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def SPONGE_DESATURATE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ONE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ZERO(*args, **kwargs):
        """
            None
        """
        pass


class SwizzleDestination(object):
    """
    None
    """

    pass

class SwizzleSource(object):
    """
    None
    """

    pass
    def VIVID_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def blendAmountChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendComponentChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendModeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendTypeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def cacheStateChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def colorTagChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def convertedToPaint(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskStackCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def selectedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class GroupLayer(AdjustableLayer):
    """
    Group layers contain a stack of other layers to be processed as a separate unit.

    

    You can access all types of layers from their containing L{Channel} objects - for example: C{channel.layerList()}

    

    You can check for L{GroupLayer} objects by calling L{Layer.isGroupLayer()}:

    

    B{Example Code}

    

    >>> #This example finds group layers in the current channel.

    >>> import mari

    >>> group_layers = []

    >>> channel = mari.geo.current().currentChannel()

    >>> for layer in channel.layerList():

    ...     if layer.isGroupLayer():

    ...         group_layers.append(layer)
    """
    def ADD(*args, **kwargs):
        """
            None
        """
        pass

    def ADD_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def ADVANCED_BLEND(*args, **kwargs):
        """
            None
        """
        pass


class AdvancedBlendComponent(object):
    """
    None
    """

    pass
    def BASIC_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BLUE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass


class BlendMode(object):
    """
    None
    """

    pass

class BlendType(object):
    """
    None
    """

    pass
    def CLEAR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_BURN(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_DODGE(*args, **kwargs):
        """
            None
        """
        pass

    def COPY(*args, **kwargs):
        """
            None
        """
        pass

    def COPY_RGB(*args, **kwargs):
        """
            None
        """
        pass

    def CUSTOM(*args, **kwargs):
        """
            None
        """
        pass

    def DARKEN(*args, **kwargs):
        """
            None
        """
        pass

    def DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass

    def EXCLUSION(*args, **kwargs):
        """
            None
        """
        pass

    def FROM_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def GREEN_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def GREYSCALE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_MIX(*args, **kwargs):
        """
            None
        """
        pass

    def HIDE_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def HUE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERSE_DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERT(*args, **kwargs):
        """
            None
        """
        pass

    def LIGHTEN(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass

    def MIX(*args, **kwargs):
        """
            None
        """
        pass

    def MIX_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def MULTIPLY(*args, **kwargs):
        """
            None
        """
        pass


class MaskType(object):
    """
    None
    """

    pass

class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def OVERLAY(*args, **kwargs):
        """
            None
        """
        pass

    def PIN_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def RED_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def REORIENTED_NORMAL_MAPPING(*args, **kwargs):
        """
            None
        """
        pass

    def REVEAL_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def SATURATION(*args, **kwargs):
        """
            None
        """
        pass

    def SCREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SOFT_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def SPONGE_DESATURATE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ONE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ZERO(*args, **kwargs):
        """
            None
        """
        pass


class SwizzleDestination(object):
    """
    None
    """

    pass

class SwizzleSource(object):
    """
    None
    """

    pass
    def VIVID_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def blendAmountChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendComponentChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendModeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendTypeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def cacheStateChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def colorTagChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def convertedToPaint(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskStackCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def selectedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class GroupNode(Node):
    """
    Represents an group node.

    

    B{Example Code}

    

    >>> # This example obtains a group node from the node graph of the current geo entity

    >>> import mari

    >>> nodeGraph = mari.geo.current().nodeGraph()

    >>> for node in nodeGraph.nodeList():

    ...   if node.isGroupNode():

    ...     print node.name()
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Image(Metadata):
    """
    These objects contain individual 2D images.

    

    You can access images either from an L{ImageSet} or through the L{ImageManager} - for example:

    

    C{mari.images.list()}

    

    B{Example Code}

    

    >>> # This example obtains the image of UDIM 1001 from the current layer of the current channel

    >>> import mari

    >>> layer = mari.geo.current().currentChannel().currentLayer()

    >>> if layer.isPaintableLayer():

    ...     image_set = layer.imageSet()

    ...     image = image_set.image(0)

    

    >>> # This examples opens an image through ImageManager and obtains the Image object

    >>> import mari

    >>> import os

    >>> imagePath = os.path.join(mari.resources.path(mari.resources.IMAGES),NoThumb.png)

    >>> image = mari.images.load(imagePath)
    """
    def BACKGROUND_EXPORT(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_COLOR(*args, **kwargs):
        """
            None
        """
        pass

    def COLORSPACE_SCALAR(*args, **kwargs):
        """
            None
        """
        pass


class ColorSpace(object):
    """
    None
    """

    pass
    def DEFAULT_OPTIONS(*args, **kwargs):
        """
            None
        """
        pass

    def DEPTH_BYTE(*args, **kwargs):
        """
            None
        """
        pass

    def DEPTH_FLOAT(*args, **kwargs):
        """
            None
        """
        pass

    def DEPTH_HALF(*args, **kwargs):
        """
            None
        """
        pass

    def DISABLE_SMALL_UNIFORMS(*args, **kwargs):
        """
            None
        """
        pass


class Depth(object):
    """
    None
    """

    pass
    def ENABLE_FULL_PATCH_BLEED(*args, **kwargs):
        """
            None
        """
        pass

    def FILESPACE_NORMAL(*args, **kwargs):
        """
            None
        """
        pass

    def FILESPACE_NORMAL_Y_FLIP(*args, **kwargs):
        """
            None
        """
        pass

    def FILESPACE_VECTOR(*args, **kwargs):
        """
            None
        """
        pass

    def FILESPACE_VECTOR_Y_FLIP(*args, **kwargs):
        """
            None
        """
        pass


class FileSpace(object):
    """
    None
    """

    pass
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def REMOVE_ALPHA(*args, **kwargs):
        """
            None
        """
        pass


class SaveOptions(object):
    """
    None
    """

    pass
    def aboutToClose(*args, **kwargs):
        """
            Signal
        """
        pass

    def aboutToExport(*args, **kwargs):
        """
            Signal
        """
        pass

    def aboutToImport(*args, **kwargs):
        """
            Signal
        """
        pass

    def colorspaceConfigChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def exported(*args, **kwargs):
        """
            Signal
        """
        pass

    def imported(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ImageOperation(Metadata):
    """
    These objects are image operations that can be performed on a layer list.

    

    You can access the registered image operations through the L{ImageManager} - for example:

    

    C{mari.images.imageOperationList()}
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ImageSet(Snapshotable):
    """
    A collection of one or more images or L{Ptex} face textures to be manipulated as a group.

    

    There are two types of image set: traditional UV image sets and L{Ptex} image sets.

    

    In the case of UV image sets, each UV patch on a model will have one associated image per image set. A 4 patch model will have 4 images in each image set.

    

    In the case of L{Ptex} image sets, the image set serves as container for the L{Ptex} pixel data. For L{Ptex} image sets, the concept of UV patches does not apply. Calling any patch-related methods on a L{Ptex} image set will result in exceptions being raised. Also note that any L{Snapshotable} methods aren     currently supported on L{Ptex} image sets, although this may change in future.

    

    L{Image} sets can be manipulated as a whole, allowing the same operations to be performed on multiple images at once.

    

    One image set at a time is nominated as the current image set. This is the image set that the user will interact with when painting.

    

    You can access image sets from a L{Layer} - for example: C{layer.imageSet()} (for L{PaintableLayer} objects)

    

    B{Example Code}

    

    >>> # This example obtains the image of UDIM 1001 from the current layer of the current channel

    >>> import mari

    >>> layer = mari.geo.current().currentChannel().currentLayer()

    >>> if layer.isPaintableLayer():

    ...     image_set = layer.imageSet()

    ...     image = image_set.image(0)
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def SCALE_THE_IMAGE(*args, **kwargs):
        """
            None
        """
        pass

    def SCALE_THE_PATCH(*args, **kwargs):
        """
            None
        """
        pass

    def SIZE_1024(*args, **kwargs):
        """
            None
        """
        pass

    def SIZE_16384(*args, **kwargs):
        """
            None
        """
        pass

    def SIZE_2048(*args, **kwargs):
        """
            None
        """
        pass

    def SIZE_256(*args, **kwargs):
        """
            None
        """
        pass

    def SIZE_32768(*args, **kwargs):
        """
            None
        """
        pass

    def SIZE_4096(*args, **kwargs):
        """
            None
        """
        pass

    def SIZE_512(*args, **kwargs):
        """
            None
        """
        pass

    def SIZE_8192(*args, **kwargs):
        """
            None
        """
        pass

    def SIZE_DOUBLE(*args, **kwargs):
        """
            None
        """
        pass

    def SIZE_HALF(*args, **kwargs):
        """
            None
        """
        pass


class ScaleChoice(object):
    """
    None
    """

    pass

class Size(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def snapshotAdded(*args, **kwargs):
        """
            Signal
        """
        pass

    def snapshotRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def visibilityChanged(*args, **kwargs):
        """
            Signal
        """
        pass


    pass
def IncrementalArchiveMenuItem(*args, **kwargs):
        """
            
        This class adds a Clear History action.
        
        """
        pass


class IntSlider(SliderBase):
    """
    An integer slider widget.

    

    Provides a custom integer slider widget.

    

    B{Example Code}

    

    >>> # This example creates a new FloatSlider object, add it to a QWidget and show it

    >>> import mari

    >>> import PySide

    >>> int_slider = mari.IntSlider()

    >>> container = PySide.QtGui.QWidget()

    >>> container.setLayout(PySide.QtGui.QHBoxLayout())

    >>> int_slider.addToLayout(container.layout())

    >>> container.show()
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def valueChanged(*args, **kwargs):
        """
            Signal
        """
        pass


    pass

class Layer(Metadata):
    """
    A layer in a L{Channel} is an image data operation that can be stacked on top of another layer.

    

    Layers may contain their own image data, such as L{PaintableLayer}, which can be blended with other layers in a layer stack. Other layer types, such as L{AdjustmentLayer}, can specify operations to be performed on the image data from the layers below them in the stack, or in the case of L{ProceduralLayer}, can contain operations that generate new image data from a set of parameters.

    

    Each layer can also contain a mask, either as an image set or a separate layer stack. Most can also contain an adjustment stack, which specifies adjustment operations to be performed only on that layer; see L{AdjustableLayer} for details.

    

    You can access all types of layers from their containing L{Channel} objects - for example: C{channel.layerList()}

    

    B{Example Code}

    

    >>> # This example finds all layers in the current channel

    >>> import mari

    >>> layers = mari.geo.current().currentChannel().layerList()
    """
    def ADD(*args, **kwargs):
        """
            None
        """
        pass

    def ADD_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def ADVANCED_BLEND(*args, **kwargs):
        """
            None
        """
        pass


class AdvancedBlendComponent(object):
    """
    None
    """

    pass
    def BASIC_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BLUE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass


class BlendMode(object):
    """
    None
    """

    pass

class BlendType(object):
    """
    None
    """

    pass
    def CLEAR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_BURN(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_DODGE(*args, **kwargs):
        """
            None
        """
        pass

    def COPY(*args, **kwargs):
        """
            None
        """
        pass

    def COPY_RGB(*args, **kwargs):
        """
            None
        """
        pass

    def CUSTOM(*args, **kwargs):
        """
            None
        """
        pass

    def DARKEN(*args, **kwargs):
        """
            None
        """
        pass

    def DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass

    def EXCLUSION(*args, **kwargs):
        """
            None
        """
        pass

    def FROM_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def GREEN_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def GREYSCALE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_MIX(*args, **kwargs):
        """
            None
        """
        pass

    def HIDE_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def HUE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERSE_DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERT(*args, **kwargs):
        """
            None
        """
        pass

    def LIGHTEN(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass

    def MIX(*args, **kwargs):
        """
            None
        """
        pass

    def MIX_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def MULTIPLY(*args, **kwargs):
        """
            None
        """
        pass


class MaskType(object):
    """
    None
    """

    pass

class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def OVERLAY(*args, **kwargs):
        """
            None
        """
        pass

    def PIN_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def RED_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def REORIENTED_NORMAL_MAPPING(*args, **kwargs):
        """
            None
        """
        pass

    def REVEAL_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def SATURATION(*args, **kwargs):
        """
            None
        """
        pass

    def SCREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SOFT_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def SPONGE_DESATURATE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ONE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ZERO(*args, **kwargs):
        """
            None
        """
        pass


class SwizzleDestination(object):
    """
    None
    """

    pass

class SwizzleSource(object):
    """
    None
    """

    pass
    def VIVID_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def blendAmountChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendComponentChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendModeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendTypeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def cacheStateChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def colorTagChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def convertedToPaint(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskStackCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def selectedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class LayerStack(Metadata):
    """
    This is the interface for creating, traversing and destroying layers on any part of the layer system that has layer stacks.

    

    This is the interface for creating, traversing and destroying layers on any part of the layer system that has layer stacks. Obtain these using methods on the relevant interfaces that return L{LayerStack}. For example: C{layer.makeMaskStack()} B{Example Code}

    

    >>> # This example creates a mask stack and returns the mask stack

    >>> import mari

    >>> current_layer = mari.geo.current().currentChannel().currentLayer()

    >>> mask_stack = current_layer.makeMaskStack()
    """
    def CLEAR_ADJUSTMENT_STACKS(*args, **kwargs):
        """
            None
        """
        pass

    def CLEAR_CURRENT_LAYER_SELECTION(*args, **kwargs):
        """
            None
        """
        pass

    def CLEAR_GROUPS(*args, **kwargs):
        """
            None
        """
        pass

    def CLEAR_MASK_STACKS(*args, **kwargs):
        """
            None
        """
        pass

    def CREATE_NEW_LAYERS(*args, **kwargs):
        """
            None
        """
        pass


class ClearSelectionFlag(object):
    """
    None
    """

    pass
    def DEFAULT_CLEAR_SELECTION_FLAGS(*args, **kwargs):
        """
            None
        """
        pass

    def DEFAULT_LAYER_CREATE_FLAGS(*args, **kwargs):
        """
            None
        """
        pass

    def INSERT_NEW_LAYER_ABOVE_SELECTION(*args, **kwargs):
        """
            None
        """
        pass

    def INSERT_NEW_LAYER_BELOW_REF_LAYER(*args, **kwargs):
        """
            None
        """
        pass


class LayerCreateFlag(object):
    """
    None
    """

    pass

class LayerImportOption(object):
    """
    None
    """

    pass
    def MAKE_NEW_LAYER_CURRENT(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def OPTION_NOT_SPECIFIED(*args, **kwargs):
        """
            None
        """
        pass

    def SELECT_NEW_LAYERS(*args, **kwargs):
        """
            None
        """
        pass

    def SKIP_LAYERS(*args, **kwargs):
        """
            None
        """
        pass

    def UPDATE_LAYERS(*args, **kwargs):
        """
            None
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Light(Metadata):
    """
    An object for creating lighting effects on a 3D mesh.

    

    You can access lights through the L{LightManager} - for example: C{mari.lights.list()}

    

    B{Example Code}

    

    >>> # This example shows hot to obtain all lights

    >>> import mari

    >>> lights = mari.lights.list()
    """
    def CAMERA(*args, **kwargs):
        """
            None
        """
        pass


class FixedTo(object):
    """
    None
    """

    pass
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def SCENE(*args, **kwargs):
        """
            None
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def onChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class LineEdit(API):
    """
    A numeric slider widget.

    

    Provides a custom line edit widget, which accepts integers (the default) or floating point values. B{Example Code}

    

    >>> # This example creates a new FloatSlider object, add it to a QWidget and show it

    >>> import mari

    >>> import PySide

    >>> line_edit = mari.LineEdit()

    >>> container = PySide.QtGui.QWidget()

    >>> container.setLayout(PySide.QtGui.QHBoxLayout())

    >>> line_edit.addToLayout(container.layout())

    >>> container.show()
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lostFocus(*args, **kwargs):
        """
            Signal
        """
        pass

    def movedMouse(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class LocatorEntity(Lockable):
    """
    These are the locator object in the Objects Gui.
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def visibilityChanged(*args, **kwargs):
        """
            Signal
        """
        pass


    pass

class Lockable(Metadata):
    """
    Provides an interface to objects within Mari that are lockable and hidable.

    

    This includes methods for settings and getting the visible and locked status and signals to indicate when these states are changed.

    

    B{Example Code}

    

    >>> # This examples obtains the patch with UDIM 1001 of current geometry object, and locks it

    >>> import mari

    >>> patch_1001 = mari.geo.current().patch(0)

    >>> patch_1001.lock()
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def visibilityChanged(*args, **kwargs):
        """
            Signal
        """
        pass


    pass

class LookUpTable(API):
    """
    Objects of this class holds 1-dimensional look up table curve.

    

    Curve is defined from a set of control points.

    

    Objects of this class often appears as parameters of shaders and layers

    

    B{Example Code}

    

    >>> # This example creates a Brightness Lookup layer and obtains its Map parameter, which is of LookUpTable type

    >>> import mari

    >>> layer = mari.geo.current().currentChannel().createAdjustmentLayer(Test, Filter/Brightness Lookup)

    >>> lut = layer.getPrimaryAdjustmentParameter(Map)
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Matrix(API):
    """
    Objects of this class hold a matrix 4x4.

    

    B{Example Code}
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class MetaFunction(object):
    """
    MetaFunction
    """

    pass

class Metadata(API):
    """
    An interface for dealing with metadata associated with Mari objects.

    

    Users can add arbitrary amounts of metadata to objects. This metadata can be used for asset management tracking, or any situation where extra information is required for an object.

    

    Items of metadata are stored in the form of string and variant pairs, allowing the use of different types of data. Certain types of metadata have GUI editor components; these are exposed in the User Attributes section of the property editor.

    

    B{Example Code}

    

    >>> # This adds a new metadata (i.e. attribute) called MyVersion to the current channel

    >>> import mari

    >>> channel = mari.geo.current().currentChannel()

    >>> channel.setMetadata(MyVersion, 2.1)
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass
def MetadataManagerMenuItem(*args, **kwargs):
        """
            
        This class adds the Metadata Manager action.
        
        """
        pass

def ModoControlWidget(*args, **kwargs):
        """
            None
        """
        pass

def ModoRender(*args, **kwargs):
        """
            A dockable widget class.

    

    Palettes are dockable widgets that can be moved around and configured by the user.

    

    You can access palettes through the L{PaletteManager} - for example: C{mari.palettes.list()}

    

    B{Example Code}

    

    >>> # This example shows how to create a palette with a label

    >>> import mari, PySide

    >>> label = PySide.QtGui.QLabel(Hello World)

    >>> new_palette = mari.palettes.create(Hello World Palette,,label)

    >>> mari.palettes.remove(new_palette.name());
        """
        pass


class Node(Metadata):
    """
    Provides shader node graph functionality.

    

    B{Example Code}

    

    >>> # This example obtains a node from the node graph of the current geo entity

    >>> import mari

    >>> nodeGraph = mari.geo.current().nodeGraph()

    >>> node = nodeGraph.nodeList()[0]
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class NodeContext(Metadata):
    """
    Provides shader node graph context functionality.

    

    L{NodeContext} is a patricular context attached to a node. For example, the GLSL context of a node is how the node is represented in GLSL so that the GLSL code is used when rendered in the view port.

    

    L{NodeContext} mechanism is used to add some custom contextual information to a node. A common usage would be to attach information about offline renderer so that the node graph can be processed and translated into the language of the offline renderer.

    

    Each L{NodeContext} attached to a L{Node} is stored in Mari.
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class NodeGraph(Metadata):
    """
    Provides shader node graph functionality.

    

    B{Example Code}

    

    >>> # This example obtains the node graph of the current geo entity

    >>> import mari

    >>> nodeGraph = mari.geo.current().nodeGraph()
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ObjectSelectionGroup(SelectionGroup):
    """
    A specialised selection group that consists of objects.
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def visibilityChanged(*args, **kwargs):
        """
            Signal
        """
        pass


    pass

class PaintBuffer(PropertySource):
    """
    The paint buffer is the screen aligned plane that users paint onto.

    

    It can be accessed from the L{CanvasManager} - for example: C{mari.canvases.paintBuffer()}

    

    B{Example Code}

    

    >>> # This example shows how to set or get the paint buffer depth

    >>> import mari

    >>> paint_buffer = mari.canvases.paintBuffer()

    >>> original_depth = paint_buffer.depth()

    >>> paint_buffer.setDepth(8)

    >>> paint_buffer.depth()

    8

    >>> paint_buffer.setDepth(original_depth)
    """

class BufferDepth(object):
    """
    None
    """

    pass
    def DEPTH_BYTE(*args, **kwargs):
        """
            None
        """
        pass

    def DEPTH_FLOAT(*args, **kwargs):
        """
            None
        """
        pass

    def DEPTH_HALF(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass

    def MIRROR_NONE(*args, **kwargs):
        """
            None
        """
        pass

    def MIRROR_X(*args, **kwargs):
        """
            None
        """
        pass

    def MIRROR_XY(*args, **kwargs):
        """
            None
        """
        pass

    def MIRROR_Y(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass

class Mirroring(object):
    """
    None
    """

    pass
    def aboutToBake(*args, **kwargs):
        """
            Signal
        """
        pass

    def aboutToClear(*args, **kwargs):
        """
            Signal
        """
        pass

    def baked(*args, **kwargs):
        """
            Signal
        """
        pass

    def cleared(*args, **kwargs):
        """
            Signal
        """
        pass

    def depthChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def resolutionChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def rotationChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def scaleChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def translationChanged(*args, **kwargs):
        """
            Signal
        """
        pass


    pass

class PaintNode(Node):
    """
    Represents an image set node.

    

    B{Example Code}

    

    >>> # This example obtains a paint node from the node graph of the current geo entity and

    >>> import mari

    >>> nodeGraph = mari.geo.current().nodeGraph()

    >>> for node in nodeGraph.nodeList():

    ...   if node.isPaintNode():

    ...     print node.name()
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class PaintableLayer(AdjustableLayer):
    """
    Paintable layers contain an image for each patch that can be painted directly.

    

    You can access all types of layers from their containing L{Channel} objects - for example: C{channel.layerList()}

    

    You can check for L{PaintableLayer} objects by calling L{Layer.isPaintableLayer()}:

    

    >>> # This examples creates a paintable layer and checks if it\s a paintable layer

    >>> import mari

    >>> channel = mari.geo.current().currentChannel()

    >>> layer = channel.createPaintableLayer(Test)

    >>> layer.isPaintableLayer()

    True
    """
    def ADD(*args, **kwargs):
        """
            None
        """
        pass

    def ADD_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def ADVANCED_BLEND(*args, **kwargs):
        """
            None
        """
        pass


class AdvancedBlendComponent(object):
    """
    None
    """

    pass
    def BASIC_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BLUE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass


class BlendMode(object):
    """
    None
    """

    pass

class BlendType(object):
    """
    None
    """

    pass
    def CLEAR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_BURN(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_DODGE(*args, **kwargs):
        """
            None
        """
        pass

    def COPY(*args, **kwargs):
        """
            None
        """
        pass

    def COPY_RGB(*args, **kwargs):
        """
            None
        """
        pass

    def CUSTOM(*args, **kwargs):
        """
            None
        """
        pass

    def DARKEN(*args, **kwargs):
        """
            None
        """
        pass

    def DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass

    def EXCLUSION(*args, **kwargs):
        """
            None
        """
        pass

    def FROM_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def GREEN_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def GREYSCALE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_MIX(*args, **kwargs):
        """
            None
        """
        pass

    def HIDE_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def HUE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERSE_DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERT(*args, **kwargs):
        """
            None
        """
        pass

    def LIGHTEN(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass

    def MIX(*args, **kwargs):
        """
            None
        """
        pass

    def MIX_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def MULTIPLY(*args, **kwargs):
        """
            None
        """
        pass


class MaskType(object):
    """
    None
    """

    pass

class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def OVERLAY(*args, **kwargs):
        """
            None
        """
        pass

    def PIN_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def RED_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def REORIENTED_NORMAL_MAPPING(*args, **kwargs):
        """
            None
        """
        pass

    def REVEAL_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def SATURATION(*args, **kwargs):
        """
            None
        """
        pass

    def SCREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SOFT_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def SPONGE_DESATURATE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ONE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ZERO(*args, **kwargs):
        """
            None
        """
        pass


class SwizzleDestination(object):
    """
    None
    """

    pass

class SwizzleSource(object):
    """
    None
    """

    pass
    def VIVID_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def blendAmountChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendComponentChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendModeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendTypeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def cacheStateChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def colorTagChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def convertedToPaint(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskStackCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def selectedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Palette(API):
    """
    A dockable widget class.

    

    Palettes are dockable widgets that can be moved around and configured by the user.

    

    You can access palettes through the L{PaletteManager} - for example: C{mari.palettes.list()}

    

    B{Example Code}

    

    >>> # This example shows how to create a palette with a label

    >>> import mari, PySide

    >>> label = PySide.QtGui.QLabel(Hello World)

    >>> new_palette = mari.palettes.create(Hello World Palette,,label)

    >>> mari.palettes.remove(new_palette.name());
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ParticleOp(PropertySource):
    """
    Provides L{Particle} operations chain scripting.
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class PatchSelectionGroup(SelectionGroup):
    """
    A specialised selection group that consists of patches.
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def visibilityChanged(*args, **kwargs):
        """
            Signal
        """
        pass


    pass

class PointLight(Light):
    """
    An object for creating lighting effects on a 3D mesh.

    

    You can access lights through the L{LightManager} - for example: C{mari.lights.list()}
    """
    def CAMERA(*args, **kwargs):
        """
            None
        """
        pass


class FixedTo(object):
    """
    None
    """

    pass
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def SCENE(*args, **kwargs):
        """
            None
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def onChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class PostFilter(Metadata):
    """
    A post processing, image space color management filter.

    

    Post processing filters can be applied to the canvas display after rendering. These filters can be used for color correction, bloom, or other fancy effects. Filters are written as GLSL shader fragments, and can have uniform values and texture data as well.

    

    L{PostFilter} instances can be created by calling the various create functions on a L{PostFilterCollection}.

    

    B{Example Code}

    

    >>> # This examples creates a new FileLUTFilter object through GLRender and PostFilterCollection

    >>> import mari

    >>> filter_collection = mari.gl_render.createPostFilterCollection(New Filter Collection)

    >>> file_lut = filter_collection.createFileLUT(New File LUT)

    >>> mari.gl_render.deletePostFilterCollection(filter_collection)
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def POSTFILTER_ENABLED(*args, **kwargs):
        """
            None
        """
        pass

    def POSTFILTER_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass


class PostFilterFlags(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class PostFilterCollection(Metadata):
    """
    A collection of post processing, image space filters.

    

    These filters are applied to the canvas display after rendering. These filters can be used for color correction, bloom or other fancy effects. Filters are written as GLSL shader fragments, and can have uniform values and texture data as well.

    

    L{PostFilterCollection} instances can be created by calling L{GLRender.createPostFilterCollection()}.

    

    B{Example Code}

    

    >>> # This examples creates a new FileLUTFilter object through GLRender and PostFilterCollection

    >>> import mari

    >>> filter_collection = mari.gl_render.createPostFilterCollection(New Filter Collection)

    >>> file_lut = filter_collection.createFileLUT(New File LUT)

    >>> mari.gl_render.deletePostFilterCollection(filter_collection)
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def POSTFILTERCOLLECTION_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def POSTFILTERCOLLECTION_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def POSTFILTERCOLLECTION_RENAMABLE(*args, **kwargs):
        """
            None
        """
        pass


class PostFilterCollectionFlags(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ProceduralLayer(AdjustableLayer):
    """
    Procedural layers use GPU processing operations to generate image data.

    

    These layers will normally take up no disk space, but consume GPU processing time to calculate their image data whenever it is visible. As an alternative, they can be cached, which will consume disk space for the cached image data, but decrease GPU processing time.

    

    You can access all types of layers from their containing L{Channel} objects - for example: C{channel.layerList()}

    

    You can check for L{ProceduralLayer} objects by calling L{Layer.isProceduralLayer()}:

    

    B{Example Code}

    

    >>> #This example finds procedural layers in the current channel

    >>> import mari

    >>> procedural_layers = []

    >>> channel = mari.geo.current().currentChannel()

    >>> for layer in channel.layerList():

    ...     if layer.isProceduralLayer():

    ...         procedural_layers.append(layer)

    

    >>> #This example creates an Brightness procedural layers in the current channel

    >>> import mari

    >>> channel = mari.geo.current().currentChannel()

    >>> layer = channel.createProceduralLayer(Constant,Basic/Constant)

    >>> layer.isProceduralLayer()

    True
    """
    def ADD(*args, **kwargs):
        """
            None
        """
        pass

    def ADD_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def ADVANCED_BLEND(*args, **kwargs):
        """
            None
        """
        pass


class AdvancedBlendComponent(object):
    """
    None
    """

    pass
    def BASIC_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BLUE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass


class BlendMode(object):
    """
    None
    """

    pass

class BlendType(object):
    """
    None
    """

    pass
    def CLEAR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_BURN(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_DODGE(*args, **kwargs):
        """
            None
        """
        pass

    def COPY(*args, **kwargs):
        """
            None
        """
        pass

    def COPY_RGB(*args, **kwargs):
        """
            None
        """
        pass

    def CUSTOM(*args, **kwargs):
        """
            None
        """
        pass

    def DARKEN(*args, **kwargs):
        """
            None
        """
        pass

    def DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass

    def EXCLUSION(*args, **kwargs):
        """
            None
        """
        pass

    def FROM_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def GREEN_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def GREYSCALE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_MIX(*args, **kwargs):
        """
            None
        """
        pass

    def HIDE_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def HUE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERSE_DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERT(*args, **kwargs):
        """
            None
        """
        pass

    def LIGHTEN(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass

    def MIX(*args, **kwargs):
        """
            None
        """
        pass

    def MIX_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def MULTIPLY(*args, **kwargs):
        """
            None
        """
        pass


class MaskType(object):
    """
    None
    """

    pass

class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def OVERLAY(*args, **kwargs):
        """
            None
        """
        pass

    def PIN_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def RED_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def REORIENTED_NORMAL_MAPPING(*args, **kwargs):
        """
            None
        """
        pass

    def REVEAL_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def SATURATION(*args, **kwargs):
        """
            None
        """
        pass

    def SCREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SOFT_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def SPONGE_DESATURATE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ONE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ZERO(*args, **kwargs):
        """
            None
        """
        pass


class SwizzleDestination(object):
    """
    None
    """

    pass

class SwizzleSource(object):
    """
    None
    """

    pass
    def VIVID_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def blendAmountChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendComponentChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendModeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendTypeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def cacheStateChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def colorTagChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def convertedToPaint(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskStackCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def selectedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Project(PropertySource):
    """
    Provides access to a currently open project.

    

    A project stores information about a currently open user session. It contains the geometry textures, reference images, and all associated user settings. This object provides basic access to the project.

    

    Data for the project is stored in Maris internal caching system. To export the project fully the user may archive it.

    

    Projects can be accessed through the L{ProjectManager} - for example: C{mari.projects.current()}

    

    Note that it is not possible to obtain a L{Project} object for a project that is not currently open. To obtain information about an available unopened project, get a L{ProjectInfo} object using a function call like the following: C{mari.projects.find(blacksmith)}

    

    B{Example Code}

    

    >>> # This example shows how to obtain the Project object representing the current project

    >>> import mari

    >>> project = mari.projects.current()

    >>> print project.className()

    Project
    """
    def LIGHTING_BASIC(*args, **kwargs):
        """
            None
        """
        pass

    def LIGHTING_FLAT(*args, **kwargs):
        """
            None
        """
        pass

    def LIGHTING_FULL(*args, **kwargs):
        """
            None
        """
        pass


class LightingMode(object):
    """
    None
    """

    pass
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def closing(*args, **kwargs):
        """
            Signal
        """
        pass

    def colorspaceDefaultsChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def saved(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ProjectInfo(Metadata):
    """
    Holds preview information about an available project.

    

    These objects provide summary information about the projects that are available in the users cache directory.

    

    You can set metadata on L{ProjectInfo} objects to be accessed at any time, including when the project is closed. This data will persist automatically, without the need for an explicit save. You can also add metadata items to the tool tip text displayed when the user hovers their mouse over the project icon.

    

    You can access project information through the L{ProjectManager} - for example: C{mari.projects.list()}

    

    B{Example Code}

    

    >>> # This example shows how to print the list of names of existing projects to the application log

    >>> import mari

    >>> for project_info in mari.projects.list():

    ...     mari.app.log(project_info.name())
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Projector(Metadata):
    """
    Projectors store the specific camera details of a particular view.

    

    This includes the rotation, zoom, and orientation of the view, plus the current paintable area, painting mode, and mask settings. This is much like a bookmark or snapshot of a view.

    

    Use the L{camera()} attached to the projector to access its camera-like properties, such as its current position and orientation.

    

    You can access projectors through the L{ProjectorManager} - for example: C{mari.projectors.list()}

    

    B{Example Code}

    

    >>> # This examples shows how to create a new projector

    >>> import mari

    >>> projector = mari.projectors.create(Test Projector)

    >>> print projector.name()

    Test Projector

    >>> mari.projectors.remove(projector.name())
    """
    def BASIC(*args, **kwargs):
        """
            None
        """
        pass


class BitDepth(object):
    """
    None
    """

    pass
    def DEPTH_BYTE(*args, **kwargs):
        """
            None
        """
        pass

    def DEPTH_FLOAT(*args, **kwargs):
        """
            None
        """
        pass

    def DEPTH_HALF(*args, **kwargs):
        """
            None
        """
        pass


class DepthProjectionMode(object):
    """
    None
    """

    pass
    def FLAT(*args, **kwargs):
        """
            None
        """
        pass

    def FRONT(*args, **kwargs):
        """
            None
        """
        pass

    def FULL(*args, **kwargs):
        """
            None
        """
        pass


class LightingMode(object):
    """
    None
    """

    pass
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def THROUGH(*args, **kwargs):
        """
            None
        """
        pass

    def aboutToSaveImage(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def exportColorspaceConfigChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def frameOffsetChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def importColorspaceConfigChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Property(object):
    """
    None
    """

    pass

class PropertySource(Metadata):
    """
    This API provides functionality for objects that expose a number of built in properties.

    

    Objects within Mari can have two forms of properties, built in values or metadata. Built in properties are hard coded onto objects and cannot be removed or their characteristics modified. This API provides generic functionality for objects that expose these built in properties for scripting.

    

    C{def PrintPropertyInfo(Obj):}

    

    C{for Property in Obj.propertiesList():}

    

    C{print Property, =, Obj.getProperty(Property)}

    

    C{print   Display Name  :, Obj.propertyDisplayName(Property)}

    

    C{print   Can reset     :, Obj.canResetProperty(Property)}

    

    C{print   Is Enum       :, Obj.propertyIsEnum(Property)}

    

    C{if Obj.propertyIsEnum(Property) == True:}

    

    C{for value in Obj.propertyEnumValues(Property):}

    

    C{print                     : , value}

    

    C{print   Has MinMax    :, Obj.propertyHasMinMax(Property)}

    

    C{print   Is Read Only  :, Obj.propertyIsReadOnly(Property)}

    

    C{print   Tooltip       :, Obj.propertyTooltip(Property)}

    

    C{if Obj.propertyHasMinMax(Property)==True:}

    

    C{print    MinMax Values:, Obj.propertyMinMax(Property)}

    

    Properties on an object are refered to by a path normally of the form subobject/group/property Subobjects are separate sub-components of an object that expose properties through the main object . Proprties can be get/set/reset, and you can query various attributes of the property such as min and max values and the tooltip if one is provided.
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Ptex(Metadata):
    """
    Provides L{Ptex} image set scripting.
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass
def ReloadToolkitMenuItem(*args, **kwargs):
        """
            
        This class adds a **Reload Mari Tools** action.
        
        """
        pass


class ScriptAction(Action):
    """
    An action to run a Python script, which can be assigned to a menu and/or shortcut.

    

    B{Example Code}

    

    >>> # This example creates an action to print Hello World to the log and executes the action

    >>> import mari

    >>> action = mari.actions.create(MyCustomActions/Print Hello,mari.app.log(\Hello World\))

    >>> action.trigger()
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def triggered(*args, **kwargs):
        """
            Signal
        """
        pass


    pass

class SelectionGroup(Lockable):
    """
    A selection group object.
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def visibilityChanged(*args, **kwargs):
        """
            Signal
        """
        pass


    pass

class Settings(API):
    """
    A group of settings.

    

    Users can load and save their own custom settings within Mari.

    

    B{Example Code}

    

    >>> # This examples shows how to store a user settings

    >>> import mari

    >>> settings = mari.Settings()

    >>> settings.setValue(Test Setting,Hello World)

    >>> print settings.value(Test Setting)

    Hello World
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Shader(Metadata):
    """
    Provides access to Maris real-time layer based display shaders.

    

    Shaders are modules that combine the layer systems L{Channel} objects to produce a rendered output.

    

    You can access shaders from a L{GeoEntity} - for example: C{mari.geo.current().shaderList()}

    

    B{Example Code}

    

    >>> # This example shows how to obtain the current shader

    >>> import mari

    >>> current_shader = mari.geo.current().currentShader()

    >>> print current_shader.className()

    Shader
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def parameterValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ShaderLayer(AdjustableLayer):
    """
    L{Shader} layers contain a shader objects in a layer stack.

    

    L{Shader} layers use an internal shader to produce the result.

    

    You can check for L{ShaderLayer} objects by calling L{Layer.isShaderLayer()}:

    

    >>> layer = channel.layer(\Layer 2\)

    >>> if layer.isShaderLayer():

    ...     print Found a shader layer
    """
    def ADD(*args, **kwargs):
        """
            None
        """
        pass

    def ADD_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def ADVANCED_BLEND(*args, **kwargs):
        """
            None
        """
        pass


class AdvancedBlendComponent(object):
    """
    None
    """

    pass
    def BASIC_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BLUE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def BURN_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass


class BlendMode(object):
    """
    None
    """

    pass

class BlendType(object):
    """
    None
    """

    pass
    def CLEAR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_BURN(*args, **kwargs):
        """
            None
        """
        pass

    def COLOR_DODGE(*args, **kwargs):
        """
            None
        """
        pass

    def COPY(*args, **kwargs):
        """
            None
        """
        pass

    def COPY_RGB(*args, **kwargs):
        """
            None
        """
        pass

    def CUSTOM(*args, **kwargs):
        """
            None
        """
        pass

    def DARKEN(*args, **kwargs):
        """
            None
        """
        pass

    def DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_HIGHLIGHTS(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_MIDRANGE(*args, **kwargs):
        """
            None
        """
        pass

    def DODGE_SHADOWS(*args, **kwargs):
        """
            None
        """
        pass

    def EXCLUSION(*args, **kwargs):
        """
            None
        """
        pass

    def FROM_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def GREEN_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def GREYSCALE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def HARD_MIX(*args, **kwargs):
        """
            None
        """
        pass

    def HIDE_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def HUE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERSE_DIFFERENCE(*args, **kwargs):
        """
            None
        """
        pass

    def INVERT(*args, **kwargs):
        """
            None
        """
        pass

    def LIGHTEN(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE(*args, **kwargs):
        """
            None
        """
        pass

    def LUMINANCE_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass

    def MIX(*args, **kwargs):
        """
            None
        """
        pass

    def MIX_NORMAL_MAPS(*args, **kwargs):
        """
            None
        """
        pass

    def MULTIPLY(*args, **kwargs):
        """
            None
        """
        pass


class MaskType(object):
    """
    None
    """

    pass

class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def OVERLAY(*args, **kwargs):
        """
            None
        """
        pass

    def PIN_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def RED_BLEND(*args, **kwargs):
        """
            None
        """
        pass

    def REORIENTED_NORMAL_MAPPING(*args, **kwargs):
        """
            None
        """
        pass

    def REVEAL_ALL(*args, **kwargs):
        """
            None
        """
        pass

    def SATURATION(*args, **kwargs):
        """
            None
        """
        pass

    def SCREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SOFT_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def SPONGE_DESATURATE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_DST_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ALPHA(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_BLUE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_GREEN(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ONE(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_RED(*args, **kwargs):
        """
            None
        """
        pass

    def SWIZZLE_SRC_ZERO(*args, **kwargs):
        """
            None
        """
        pass


class SwizzleDestination(object):
    """
    None
    """

    pass

class SwizzleSource(object):
    """
    None
    """

    pass
    def VIVID_LIGHT(*args, **kwargs):
        """
            None
        """
        pass

    def blendAmountChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendComponentChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendModeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def blendTypeChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def cacheStateChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def colorTagChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def convertedToPaint(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def maskStackCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def selectedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Shelf(Metadata):
    """
    A shelf is a place where the user can bookmark objects such as brushes, images, and colors.

    

    B{Example Code}

    

    >>> # This example shows how to obtain the Personal shelf

    >>> import mari

    >>> personal_shelf = mari.shelves.find(Personal)

    >>> print personal_shelf.className()

    Shelf
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Signal(object):
    """
    Signal
    """

    pass

class SliderBase(API):
    """
    Base class for a slider widget.

    

    Provides the base functionality for a custom slider widget in Mari.

    

    B{Example Code}

    

    >>> # This example creates a new FloatSlider object, add it to a QWidget and show it

    >>> import mari

    >>> import PySide

    >>> float_slider = mari.FloatSlider()

    >>> container = PySide.QtGui.QWidget()

    >>> container.setLayout(PySide.QtGui.QHBoxLayout())

    >>> float_slider.addToLayout(container.layout())

    >>> container.show()
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Slot(object):
    """
    Slot
    """

    pass

class Snapshot(Metadata):
    """
    A copy of the state of an object at a particular time.

    

    By creating snapshots, users can easily preserve the state of an object and return to that state at some later time.

    

    For example, this could be used to preserve the history of a design, or to try new ideas without risking the current textures. The user could snapshot the current state, paint some modifications, ask for approval, and if the changes are not accepted, quickly and easily revert to the previous state.

    

    B{Example Code}

    

    >>> # This example shows how to obtain the current channel of the current GeoEntity object

    >>> import mari

    >>> channel = mari.geo.current().currentChannel()

    >>> channel_snapshot = channel.createSnapshot(Test Snapshot)
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def creationDateChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def creatorChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def idChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def nameChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def previewChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class Snapshotable(Lockable):
    """
    An object that can have copies of its state taken at particular times.

    

    A L{Snapshot} is a copy of the state of an object at a particular time. Objects of this type can have snapshots of their state taken.
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def lockedChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def snapshotAdded(*args, **kwargs):
        """
            Signal
        """
        pass

    def snapshotRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass

    def visibilityChanged(*args, **kwargs):
        """
            Signal
        """
        pass


    pass
def TabManagerMenuItem(*args, **kwargs):
        """
            
        This class adds a Clear History action.
        
        """
        pass


class Tool(PropertySource):
    """
    This is the base API for Maris viewport tools.

    

    You can access canvas objects through the L{CanvasManager} - for example: C{mari.canvases.current()}
    """
    def METADATA_EDITABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_DISPLAY(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_GROUP_HINT_SORTABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_REMOVEABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_SAVED(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_UNDOABLE(*args, **kwargs):
        """
            None
        """
        pass

    def METADATA_VISIBLE(*args, **kwargs):
        """
            None
        """
        pass


class MetadataFlag(object):
    """
    None
    """

    pass

class MetadataFlags(object):
    """
    None
    """

    pass

class MetadataGroupHint(object):
    """
    None
    """

    pass

class MetadataGroupHints(object):
    """
    None
    """

    pass
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataCreated(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataRemoved(*args, **kwargs):
        """
            Signal
        """
        pass

    def metadataValueChanged(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class ToolBar(API):
    """
    A tool bar widget.

    

    Users can create their own custom tool bars, and add any pre-defined or custom actions as they wish.

    

    B{Example Code}

    

    >>> # This example shows how to create a toolbar and add a label to it

    >>> import mari, PySide

    >>> label = PySide.QtGui.QLabel(Hello World)

    >>> toolbar = mari.app.createToolBar(Hello World Toolbar)

    >>> toolbar.addWidget(label)

    >>> mari.app.deleteToolBar(Hello World Toolbar)
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass

class VectorN(API):
    """
    Objects of this class hold multi-dimensional coordinates.

    

    Coordinates that represent UV, 3D, or 4D values should all be stored in objects of this type.

    

    B{Example Code}

    

    >>> # This example shows how to obtain the position of the 1st light

    >>> import mari

    >>> lights = mari.lights.list()

    >>> light_position = lights[0].position()

    >>> print light_position.className()

    VectorN
    """
    def destroyed(*args, **kwargs):
        """
            Signal
        """
        pass

    def staticMetaObject(*args, **kwargs):
        """
            None
        """
        pass


    pass
def ViewDocumentationMenuItem(*args, **kwargs):
        """
            
        This class adds a **View Documentation** action.
        
        """
        pass

def _ref_holder(*args, **kwargs):
        """
            list() -> new empty list
    list(iterable) -> new list initialized from iterables items
        """
        pass

def misc(*args, **kwargs):
        """
            None
        """
        pass

def nodes(*args, **kwargs):
        """
            None
        """
        pass

def ocio(*args, **kwargs):
        """
            Handles the L{OpenColorIO} colorspace transforms in the application.
        """
        pass

def selection_groups(*args, **kwargs):
        """
            Manages the selection groups in the scene.
        """
        pass

